LibreOffice: HierarchyElement Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
HierarchyElement Service Referencepublished

provides information about an element within a hierarchy. More...

`import"HierarchyElement.idl";`

Inheritance diagram for HierarchyElement:

## Exported Interfaces
interface | com::sun::star::container::XHierarchicalName
| provides the complete hierarchical name of this element within the hierarchy tree. More...
interface | com::sun::star::container::XNamed
| provides the local name of this element within its parent. More...
interface | com::sun::star::beans::XProperty
| provides a property descriptor for this element. More...
interface | com::sun::star::beans::XPropertyWithState
| provides access to the default state of this element. More...
interface | com::sun::star::container::XChild
| provides access to the parent of this element [optional]. More...

## Additional Inherited Members
Public Member Functions inherited from XHierarchicalName
string | getHierarchicalName ()
string | composeHierarchicalName ([in] string aRelativeName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::NoSupportException )
| builds the hierarchical name of an object, given a relative name More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Protected Member Functions inherited from XProperty
com::sun::star::beans::Property | getAsProperty ()
Protected Member Functions inherited from XPropertyWithState
com::sun::star::beans::PropertyState | getStateAsProperty ()
void | setToDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
| sets this to its default value. More...
com::sun::star::uno::XInterface | getDefaultAsProperty () raises ( com::sun::star::lang::WrappedTargetException )
Protected Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...

## Detailed Description

provides information about an element within a hierarchy.

The local name and the full hierarchical name can be retrieved. Attributes detailing the role of the element can be queried. The state of the element (regarding defaults) can be accessed.

Implementations of this service usually also implement service HierarchyAccess, which concerns the complementary role of providing access to subelements of the hierarchy.

## Exported Interfaces

## ◆ com::sun::star::beans::XProperty

interface com::sun::star::beans::XProperty
| optional

provides a property descriptor for this element.

[optional]

This interface may be missing, if the hierarchy supports no traits that are described by com::sun::star::beans::PropertyAttribute values.

If the parent of this object implements com::sun::star::beans::XPropertySetInfo, then this returns the same com::sun::star::beans::Property as the com::sun::star::beans::XPropertySetInfo of the parent.

## ◆ com::sun::star::beans::XPropertyWithState

interface com::sun::star::beans::XPropertyWithState
| optional

provides access to the default state of this element.

[optional]

This interface may be missing, if the hierarchy supports access to a default state and values only for simple values or not at all.

If the parent of this object implements com::sun::star::beans::XPropertyState, then members of this interface have the same effect as corresponding members of the parent.

If an implementation is part of a read-only view of the hierarchy, attempts to change property states will fail.

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild
| optional

provides access to the parent of this element [optional].

This interface may be missing if this object is not obtained as a child or descendant of another tree node, for example, directly from a factory or provider.

com::sun::star::container::XChild::getParent() returns NULL, if this object is currently not contained in another node.

Setting a different parent is, generally, not supported.

## ◆ com::sun::star::container::XHierarchicalName

interface com::sun::star::container::XHierarchicalName

provides the complete hierarchical name of this element within the hierarchy tree.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

provides the local name of this element within its parent.

Renaming an element is generally not supported.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/HierarchyElement.idl